import { GraphQLSchema } from 'graphql';
import type { HTTPHeaderValue } from '@pathfinder-ide/stores';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import type { SchemaStoreState } from '@pathfinder-ide/stores';
import { setTheme as setPathfinderTheme } from '@pathfinder-ide/stores';
import type { ThemeOptions } from '@pathfinder-ide/stores';
import { useThemeStore as usePathfinderThemeStore } from '@pathfinder-ide/stores';

export declare const Pathfinder: ({ mode, fetcherOptions, schemaPollingOptions, themeOptions, }: PathfinderProps) => JSX_2.Element;

declare type PathfinderProps = {
    mode?: 'FULL' | 'MINI';
    fetcherOptions?: {
        endpoint: string;
        headers?: Pick<HTTPHeaderValue, 'key' | 'value'>[];
    };
    schemaPollingOptions?: Partial<Pick<SchemaStoreState['polling'], 'enabled' | 'interval'>>;
    themeOptions?: Partial<ThemeOptions>;
};

export declare const SchemaDocumentation: ({ schema }: SchemaDocumentationProps) => JSX_2.Element;

declare type SchemaDocumentationProps = {
    schema: GraphQLSchema;
};

export declare const SchemaView: ({ schema }: SchemaViewProps) => JSX_2.Element | null;

declare type SchemaViewProps = {
    schema: GraphQLSchema;
};

export { setPathfinderTheme }

export { usePathfinderThemeStore }

export { }
